package main

import (
	"cicv-data-closedloop/amd64/web_server/src/infrastructure/config"
	"cicv-data-closedloop/amd64/web_server/src/infrastructure/http"
	"cicv-data-closedloop/common/config/c_db"
	"cicv-data-closedloop/common/config/c_log"
	_ "embed"
	"fmt"
	_ "gopkg.in/yaml.v3"
	"os"
)

func main() {
	args := os.Args
	if len(args) > 1 {
		fmt.Println("第一个参数:", args[1])
	} else {
		fmt.Println("请输入yaml配置文件路径参数！")
	}
	config.InitApplication(args[1])
	c_log.InitLog(
		config.ApplicationYaml.Log.Dir,
		config.ApplicationYaml.Log.Prefix,
	)
	c_db.InitSqlxMysql(
		config.ApplicationYaml.Mysql.Username,
		config.ApplicationYaml.Mysql.Password,
		config.ApplicationYaml.Mysql.Ip,
		config.ApplicationYaml.Mysql.Port,
		config.ApplicationYaml.Mysql.Dbname,
		config.ApplicationYaml.Mysql.Charset,
	)
	c_db.InitSqlFilesMap(config.ApplicationYaml.Mysql.SqlfileDir)
	c_log.GlobalLogger.Info("配置文件为：", config.ApplicationYaml)
	go http.CreateServer()
	select {}
}
